pulseaudio crashes when connecting to bluetooth headphones (due to ubuntu changes?)

Bug #1574324 reported by ian_hawdon on 2016-04-24
242
This bug affects 42 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
High
Luke Yelavich
Xenial
Undecided
Luke Yelavich
Yakkety
Undecided
Luke Yelavich

Bug Description

Impact:

A patch we carry for Ubuntu touch introduced a change that originally was required to make sure PulseAudio did not crash. This patch was ported to PulseAudio 8 in Xenial, but the patch author's bluetooth hardware that was to hand at the time worked so was assumed to be ok. However, the opposite is now happening, i.e PulseAudio is crashing with a subset of Bluetooth hardware.

Regression potential:

Very low to none. As can be read in this report, much debugging and testing has been done to find the problem, and the eventual fix. Moreover the change is the removal of a patch hunk that removed a line of code originally present in PulseAudio.

Test case:

NOTE that this test case applies to bluetooth hardware that is identified as not working in this bug report.

1. Install, or upgrade to Xenial or yakkety.
2. Pair your bluetooth device in the bluetooth settings in the relevant settings application for your desktop environment.
3. Once paired, you will notice that sound stops working, as pulseaudio has thrown an assertion error.
4. You do not have to remove your audio device from the paired device list, but it may be easier to do so for the next part of the testing.
5. Update to the version of PulseAudio in xenial-proposed which is 1:8.0-0ubuntu3.1, or in yakkety-proposed, which is 1:9.0-2ubuntu2.1.
6. Re-pair your device. Audio should continue to work, and you should be able to switch to your bluetooth device and use it.

Original bug report:

When I attempt to connect my Jaybird Bluebuds X to Ubuntu 16.04 pulseaudio crashes, this does *NOT* happen with a Jambox which leads me to believe it's an intermittent problem with some hardware. This did not happen on Ubuntu 15.10 (which was an upgrade of 15.04).

Ubuntu Release:

Description: Ubuntu 16.04 LTS
Release: 16.04

Pulseaudio Version:

pulseaudio:
  Installed: 1:8.0-0ubuntu3
  Candidate: 1:8.0-0ubuntu3
  Version table:
 *** 1:8.0-0ubuntu3 500
        500 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
        100 /var/lib/dpkg/status

Device info:

[bluetooth]# info 44:5E:F3:B4:07:29
Device 44:5E:F3:B4:07:29
 Name: BlueBuds X
 Alias: BlueBuds X
 Class: 0x240404
 Icon: audio-card
 Paired: yes
 Trusted: yes
 Blocked: no
 Connected: no
 LegacyPairing: no
 UUID: Headset (00001108-0000-1000-8000-00805f9b34fb)
 UUID: Audio Sink (0000110b-0000-1000-8000-00805f9b34fb)
 UUID: A/V Remote Control Target (0000110c-0000-1000-8000-00805f9b34fb)
 UUID: A/V Remote Control (0000110e-0000-1000-8000-00805f9b34fb)
 UUID: Handsfree (0000111e-0000-1000-8000-00805f9b34fb)
 UUID: Unknown (000080ff-0000-1000-8000-00805f9b34fb)

I have also attached a debug dump of Pulseaudio when attempting to connect to the headphones.

ian_hawdon (ian-hawdon) wrote :
Blake Levine (penguindude2691) wrote :

I am having the same issue. Same headphones. Worked on 15.10. Broke after update.

Blake Levine (penguindude2691) wrote :

I did a clean install of 16.04. Still crashing with BlueBuds X. Working with another Bluetooth speaker.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
ian_hawdon (ian-hawdon) wrote :

I can also confirm the issue remains when using a live USB of 16.04 on different hardware with the same headphones.

Blake Levine (penguindude2691) wrote :

I use this command in the terminal to check a little deeper as to what might be causing it. I attached my results.

cat /var/log/syslog* | grep -i pulse

ian_hawdon (ian-hawdon) wrote :

Can also confirm the issue is still present on the latest build of Ubuntu 16.10 with pulseaudio upgraded to version 1:8.0-2ubuntu1

ian_hawdon (ian-hawdon) on 2016-05-20
no longer affects: pulseaudio
Joakim Koed (vooze) wrote :

Also just tested with arch, and it works just fine. So it has something to do with Ubuntu.

pcjason (jasonkrichard) wrote :

I believe that I may be encountering the same issue with my Plantronics BackBeat Go 2 (PLT_BBTGO2) bluetooth headphones. They connect and then disconnect about 1 to 2 seconds later. I am using a Broadcom BCM20702A0 bluetooth dongle.

Please let me know what info I can provide that would confirm that I am encountering the same problem, as well as what logs are required to help in debugging this.

Joakim Koed (vooze) on 2016-06-23
tags: added: yakkety
tags: added: xenial
Changed in pulseaudio (Ubuntu):
importance: Undecided → Medium
Joakim Koed (vooze) wrote :

I just downgraded to 6.0 from wily in xenial, now bluetooth is perfect. Will hold those packages until this is resolved.

Sajan Parikh (sajanparikh) wrote :

Clean install of 16.04. Can successfully pair, connect, and play music through Amazon's Echo. However, Jaybird X can pair, and when it connects, it disconnects within 3 seconds.

With the Jaybird, it even notifies me with the successful connection, but disconnects a couple seconds later.

Joakim Koed (vooze) wrote :

Sajan: Yeah, same here: all other devices just fine. I suspect it's a bug in 8.0. When I get home in a few days, I will test 9.0 from yakkety to see if that works. At the time I downgraded to 6.0 from wily, yekkety were still on 8.0 (same version as xenial) but we will see if 9.0 is better. If it is, I will post a short guide to upgrade it :)

Joakim Koed (vooze) wrote :

pulseaudio 1:9.0-1.1ubuntu1 from yakkety is affected as well... Only 6.0 from wily works :(

Joakim Koed (vooze) wrote :

Okay guys and girls.. I have the solution...

The problem is all the ubuntu-touch patches applied to pulseaudio.. So What I did what download pulseaudio8 from ubuntu archives and build it without those patches..

The ones marked with # are not applied. It now works perfectly... I don't have the patience, to try to patch all the rest one by one, to see which one is affected, but you can certain it have something to do with those patches..

# Ubuntu/Debian specific config/fixes
0001-volume-config-changes.patch
0005-dont-load-cork-music-on-phone.patch
0006-load-module-x11-bell.patch
0016-nodisplay-autostart.patch
0022-inotify-wrapper-Quit-daemon-if-pid-file-is-removed.patch
0024-alsa-mixer-Quick-workaround-for-potential-index-out-.patch

# Cherry-picked from upstream
0100-switch-on-port-available-Switch-from-HDMI-to-analog-.patch

# Ubuntu touch stuff
#0202-dont-probe-ucm.patch
#0203-card-Add-hook-before-profile-changes.patch
#0206-module-bluetooth-discover-adding-module-option-profi.patch
#0207-Enable-pulseaudio-droid.patch
#0208-module-bluetooth-device-Allow-leaving-transport-runn.patch
#0209-module-switch-on-connect-adding-parameter-to-allow-s.patch
#0210-module-device-restore-adding-property-to-skip.patch
#0211-corking-a-sink-input-stream-when-stalled.patch

# Ubuntu touch: support for trust-store
#0406-tagstruct-add-copy-method.patch
#0407-access-Add-access-control-hooks.patch
#0408-protocol-native-add-access-checks.patch
#0409-Trust-store-patch.patch
#0410-Add-thread-to-activate-trust-store-interface.patch
#0417-increase-timeout-check-apparmor.patch

# Ubuntu touch: enable bluez5 HFP over ofono support
#0501-bluetooth-bluez5-ofono-add-support-for-HFP-gateway-r.patch
#0502-bluetooth-bluez5-bring-back-SCO-over-PCM-support.patch
#0503-bluetooth-bluez5-ofono-add-support-for-spekaer-micro.patch
#0504-bluetooth-bluez5-add-support-for-both-mode.patch
#0505-bluetooth-bluez5-let-user-specify-a-default-profile-.patch
#0506-bluetooth-bluez5-prevent-SCO-sink-source-to-be-suspe.patch
#0507-bluetooth-bluez5-drop-save-restore-of-SCO-sink-sourc.patch
#0508-bluetooth-bluez5-add-guards-to-prevent-HFP-and-HSP-c.patch
#0509-bluetooth-bluez5-don-t-reactivate-default-profile-wh.patch
#0510-Further-fixes-for-HFP-A2DP-with-BlueZ-5.x.patch

# Ubuntu touch: add support for Android 5.x
#0600-droid-sync-with-upstream-for-Android-5-support-and-b.patch
#0601-droid-alternative-hw-module-id.patch
#0602-droid-inputstream-config-parameters.pach
#0603-droid-port-priority-and-availability.patch

I also had to delete some droid + store .install files for it to build.

Now the rest is up to ubuntu-devs to figure out what patch is broken. I have done all I can for a non-dev.. Hope this helps some people... If you want my .debs files feel free to ask. I'm not sure if it's okay to post links to such things..

Sebastien Bacher (seb128) wrote :

Luke, could you have a look to this one?

Changed in pulseaudio (Ubuntu):
assignee: nobody → Luke Yelavich (themuso)
importance: Medium → High
tags: added: rls-x-incoming
summary: - pulseaudio crashes when connecting to bluetooth headphones
+ pulseaudio crashes when connecting to bluetooth headphones (due to
+ ubuntu changes?)
Luke Yelavich (themuso) on 2016-08-04
Changed in pulseaudio (Ubuntu):
status: Confirmed → In Progress

Ok, an update. I can reproduce this in a way. My bluetooth earbuds seem to work after the first pairing, and then after subsequent restart/login, they may show up, but when selected don't work, and sometimes they don't even show up at all, this is on yakkety.

I think the problem I'm experiencing is related somehow, but things may be different since I am on pulse 9 in yakkety. I'll try and reproduce in xenial as well again, but I otherwise still have something to work on fixing.

Luke Yelavich (themuso) wrote :

Ok, false alarm. It wasn't showing up because it doesn't seem to reconnect automatically if I leave the headset on during a relog/reboot. After using bluetoothctl to reconnect the headset, pulse seems to work perfectly every time, so I am unable to reproduce the problem.

Given the original reporter's bluetoothctl info, I notice only one difference between my headset and the one in the report, and that is an unknown UUID. Here is mine for reference:

Device 00:19:7F:69:B0:7D
 Name: 8XXPlantronics
 Alias: 8XXPlantronics
 Class: 0x240404
 Icon: audio-card
 Paired: yes
 Trusted: yes
 Blocked: no
 Connected: yes
 LegacyPairing: no
 UUID: Headset (00001108-0000-1000-8000-00805f9b34fb)
 UUID: Audio Sink (0000110b-0000-1000-8000-00805f9b34fb)
 UUID: A/V Remote Control Target (0000110c-0000-1000-8000-00805f9b34fb)
 UUID: Advanced Audio Distribu.. (0000110d-0000-1000-8000-00805f9b34fb)
 UUID: A/V Remote Control (0000110e-0000-1000-8000-00805f9b34fb)
 UUID: Handsfree (0000111e-0000-1000-8000-00805f9b34fb

If people who are experiencing this problem could use a working pulseaudio to obtain info about their bluetooth devices via the pacmd list-cards command, that would be useful.

Thanks.

Joakim Koed (vooze) wrote :

Sure. It works now (for me) using the method I mentioned.

 name: <bluez_card.44_5E_F3_B5_64_94>
 driver: <module-bluez5-device.c>
 owner module: 26
 properties:
  device.description = "Jaybird X2"
  device.string = "44:5E:F3:B5:64:94"
  device.api = "bluez"
  device.class = "sound"
  device.bus = "bluetooth"
  device.form_factor = "headset"
  bluez.path = "/org/bluez/hci0/dev_44_5E_F3_B5_64_94"
  bluez.class = "0x240404"
  bluez.alias = "Jaybird X2"
  device.icon_name = "audio-headset-bluetooth"
  device.intended_roles = "phone"
 profiles:
  headset_head_unit: Headset Head Unit (HSP/HFP) (priority 20, available: unknown)
  a2dp_sink: High Fidelity Playback (A2DP Sink) (priority 10, available: unknown)
  off: Off (priority 0, available: yes)
 active profile: <headset_head_unit>
 sinks:
  bluez_sink.44_5E_F3_B5_64_94/#2: Jaybird X2
 sources:
  bluez_sink.44_5E_F3_B5_64_94.monitor/#3: Monitor of Jaybird X2
  bluez_source.44_5E_F3_B5_64_94/#4: Jaybird X2
 ports:
  headset-output: Headset (priority 0, latency offset 0 usec, available: unknown)
   properties:

  headset-input: Headset (priority 0, latency offset 0 usec, available: unknown)
   properties:

Hope this helps :)

Luke Yelavich (themuso) wrote :

Sorry for taking so long to get back. Unfortunately without hardware that exhibits this behavior, I don't feel I can easily work out what is going on.

If someone is willing to test pulseaudio packages one at a time as I disable and progressively enable ubuntu-touch patches to find the culpret, it would be much appreciated. If you wish to do so, please make sure you have a known working set of uplseaudio packages on your system so you can re-install them after testing so you have a working system again.

Joakim Koed (vooze) wrote :

Hey Luke

I'll be glad to help you :)

You can contact me here, email or IRC or whatever you prefer.

Sebastien Bacher (seb128) wrote :

Could somebody maybe get a backtrace of the segfault? (https://wiki.ubuntu.com/DebuggingProgramCrash)

Luke Yelavich (themuso) wrote :

From the log I saw from the original reporter, there was no crash, it was an assertion error, and pulse just shut down.

Sebastien Bacher (seb128) wrote :

it might still be possible to get a stacktrace to get an idea of what code is involved?

Joakim Koed (vooze) wrote :

Luke: I have not heard from you. Are you still interested in helping with test?

Luke Yelavich (themuso) wrote :

I am terribly sorry, been busy with other things. I will reply again to this bug when I have the first package for you to test. Please let me know whether you prefer Xenial or yakkety for doing the testing.

Thanks

Luke

Luke Yelavich (themuso) wrote :

Ok. I have uploaded the first debug package to my personal package archive. You can find how to set it up at https://launchpad.net/~themuso/+archive/ppa. As we go along, you will not need to re-add this PPA, and you will be able to upgrade from one package to another.

The first one for xenial is available there now, and should be built shortly. Please report back as to whether things are ok with this version.

For those following along, I am basically commenting out all bluez5/ofono patches except for the first, and will graduilally re-enable as we go, since I think that is where the problem is.

Joakim Koed (vooze) wrote :

Hey Luke, Xenial is just fine :)

I just tested it, and it works perfectly. So it seems you are correct about bluez5/ofono.

Feel free to upload another test if you wanna figure out which patch exactly.

Luke Yelavich (themuso) wrote :

Ok, another package is on its way with another patch enabled.

Yura Nosenko (yuranos87) wrote :

I can confirm the same issue on Ubuntu 16.04/4.4.0-31-generic with Jaybird X2. It connects and then disconnects immediately.

Joakim Koed (vooze) wrote :

Luke: The build seemed to have failed. Can't test :/

Yura Nosenko (yuranos87) wrote :

I can help to test with my configuration but I'm relatively new to Ubuntu. Will probably need some help.

Luke Yelavich (themuso) wrote :

Ok sorry for the delay, I was off last week and was not regularly checking mail.

I have uploaded a fixed package, which appears to have been built.

Joakim Koed (vooze) wrote :

Hey luke.

With these patches, I can connect it, but A2DP is not working, only HFS/HFP, which sound terrible and its only mono.

Eyal Zekaria (eyal-ez) wrote :

BTW Joakim, installing your patched .deb worked well for A2DP, but it broke other stuff for me (mainly skype). I had to re-install libpulse0:i386 in order to fix it, according to:
http://askubuntu.com/questions/506259/skype-shows-virtual-device-for-microphone-speakers-and-ringing

It also remove a bunch of packages which I had to re-install due to version mismatching...

Joakim Koed (vooze) wrote :

Eyal: thats because you need 32bit pulseaudio for skype. Write me an email and I will build those for you :)

Joakim Koed (vooze) wrote :

Eyal: I found your email and sent 32bit debs to you.

Luke Yelavich (themuso) wrote :

Hi Joakim.
What we will do for now is contiue to the point where it crashes, and then we can address the issue you pointed out here.

Next one is just uploaded and all being well should be available soon.

Joakim Koed (vooze) wrote :

Hi Luke

just upgraded and now it's crashing.

Brad Larson (bklarson) on 2016-09-07
description: updated
Luke Yelavich (themuso) on 2016-09-13
Changed in pulseaudio (Ubuntu):
assignee: Luke Yelavich (themuso) → Simon Fels (morphis)
tags: added: patch
Luke Yelavich (themuso) on 2016-09-26
Changed in pulseaudio (Ubuntu):
assignee: Simon Fels (morphis) → Luke Yelavich (themuso)
68 comments hidden view all 148 comments
Felipe Lemos (felipelemos) wrote :

I've just upgraded to yakkety and the bug is back.

Luke Yelavich (themuso) wrote :

Yes, the bug is present in yakkety as well. I am sorry if that has not already been made clear in this bug.

I am away this week, but will be preparing stable updates for Xenial and Yakkety when I return next week.

1 comments hidden view all 148 comments
Ethan Reynolds (ethayng) wrote :

Whoops! Sorry about that.

I can confirm that this bug exists on Ubuntu 16.10.

Random info about my laptop that could prove useful:
 - 64 bit AMD dual core (Turion II P540)
 - 8 gigs of memory
 - 120gb Samsung SSD

 * Bluetooth DONGLE. v4.0 / LE (http://amzn.to/2eanIHp). Just bought this for use with my DS4 and
     Plantronics BackBeat Pro headphones. I'm interested to see if the problem is restricted to the
     use of Bluetooth dongles (or just some dongles), Bluetooth LE devices, or a combination of the
     two.

P.S: Why does pulseaudio suck so much? It's problems are well known (right up there with linux
       graphics driver problems).

Joakim Koed (vooze) wrote :

Ethan: This is NOT a upstream pulseaudio problem. The bug here is some ubuntu-patches for unity8/phones (I think) had you read all the comments and just not commenting, you would know that :)

Also Luke knows about 16.10 (its' like one comment before yours!)

Sorry for rant.

Jeremy (wa113y3s) wrote :

Joakim Koed

I would like to hear a comment about the commit I mentioned
https://github.com/pulseaudio/pulseaudio/commit/e32a462cc4201d9c3c7305d0f806d16a09f08875

It does seem to be related to the switching profiles issues

Luke Yelavich (themuso) wrote :

That commit is not relevant to this bug. The profile problems will be tracked in another bug, once the exact cause of the bug is known.

Having said that, thanks for the pointer, I will apply that commit when doing some more testing in the coming days.

Luke Yelavich (themuso) on 2016-10-26
Changed in pulseaudio (Ubuntu Xenial):
assignee: nobody → Luke Yelavich (themuso)
status: New → In Progress
Changed in pulseaudio (Ubuntu Yakkety):
assignee: nobody → Luke Yelavich (themuso)
status: New → In Progress
Luke Yelavich (themuso) wrote :

Ok, so it seems that whilst a freshly paired set of Bluebuds X defaults to HFP, I am able to switch to A2DP and have it work properly on a freshly installed and updated Xenial, with the pulseaudio package for Xenial in my PPA. Can anybody else confirm, at least with at least an up to date Xenial and pulse from my PPA?

In other news, the fix for *THIS* bug is now in Zesty, and I will be preparing updates for Xenial and Yakkety. The only thing I have to test is whether the previously mentioned patch makes the out of the box experience worth the risk of backporting.

Luke Yelavich (themuso) wrote :

Never mind my last post. I did another fresh install, updated, and A2DP didn't work again...

Well at least I know using a newer version of Pulse in xenial allows things to work, now to hunt down the patch(es) that fix things.

Luke Yelavich (themuso) wrote :

Ok... Seems that if I kill pulseaudio with killall pulseaudio, and get it to automatically reload by playing some audio, I am able to then successfully switch to the A2DP profile, and it seems to work fine, even after a reboot...

I think there is a race condition, that newer versions of Pulse have fixed.

Luke Yelavich (themuso) wrote :

Ok, the profile selectino issue seems to be a race condition. I've just been able to reproduce the problem on xenial with bluez and pulse from yakkety, and restarting pulse always seems to fix the problem, and then it seems to work afterwards, no idea why.

Time to look at bluetooth patches since pulse 9 to see which one may fix the problem, although from a quick glance, this won't be easy to work out.

Luke Yelavich (themuso) wrote :

Is anybody able to reproduce my findings on Xenial with pulse from my PPA, i.e trying to select A2DP doesn't work, but when you manually kill and restart pulse A2DP works?

I just tried on yakkety with another bluetooth controller with pulse from zesty and I didn't even need to select A2DP, it was selected and worked... Something weird is going on here, so I think I will push the fix for this bug through such that people can actually use their devices, and try and track this profile issue down. Not even sure its a race at this point...

José Tomás Atria (jtatria) wrote :

I can confirm that Luke's PPA works with my Jaybird X2 on Kunbutu Xenial.

A2DP was not selected by default upon connection, but it is possible to select it manually in the hardware panel in Phonon (Using kde here), and it works like a charm.

The only funny thing in my setup is that there's an extra entry for a Jaybird X2 in the audio hardware conf dialog that shows up as unavailable. I assume it's from earlier attempts at connecting before upgrading pulseaudio to Luke's version.

Thanks for the hard work, Luke

Jeremy (wa113y3s) wrote :

Luke
Using your PPA, manually killing pulse and restarting it doesn't make any changes and the only way to use A2DP is the command I put in comment 100

The bug only affects audio devices that support HSP/HFP as I have a small bluetooth speaker that automatically uses A2DP without fail

Luke Yelavich (themuso) on 2016-11-03
description: updated

Hello ian_hawdon, or anyone else affected,

Accepted pulseaudio into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pulseaudio/1:9.0-2ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in pulseaudio (Ubuntu Yakkety):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in pulseaudio (Ubuntu Xenial):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello ian_hawdon, or anyone else affected,

Accepted pulseaudio into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pulseaudio/1:8.0-0ubuntu3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Jeremy (wa113y3s) wrote :

That works much better for switching profiles with 1:8.0-0ubuntu3.1

Jeremy (wa113y3s) on 2016-11-05
tags: added: verification-done
removed: verification-needed
Download full text (4.7 KiB)

Is it possible to create a yakkety proposed package too?

On Thu, 3 Nov 2016 at 16:29 Brian Murray <email address hidden> wrote:

> Hello ian_hawdon, or anyone else affected,
>
> Accepted pulseaudio into xenial-proposed. The package will build now and
> be available at
> https://launchpad.net/ubuntu/+source/pulseaudio/1:8.0-0ubuntu3.1 in a
> few hours, and then in the -proposed repository.
>
> Please help us by testing this new package. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Your feedback will aid us getting this update
> out to other Ubuntu users.
>
> If this package fixes the bug for you, please add a comment to this bug,
> mentioning the version of the package you tested, and change the tag
> from verification-needed to verification-done. If it does not fix the
> bug for you, please add a comment stating that, and change the tag to
> verification-failed. In either case, details of your testing will help
> us make a better decision.
>
> Further information regarding the verification process can be found at
> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
> advance!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1574324
>
> Title:
> pulseaudio crashes when connecting to bluetooth headphones (due to
> ubuntu changes?)
>
> Status in pulseaudio package in Ubuntu:
> In Progress
> Status in pulseaudio source package in Xenial:
> Fix Committed
> Status in pulseaudio source package in Yakkety:
> Fix Committed
>
> Bug description:
> Impact:
>
> A patch we carry for Ubuntu touch introduced a change that originally
> was required to make sure PulseAudio did not crash. This patch was
> ported to PulseAudio 8 in Xenial, but the patch author's bluetooth
> hardware that was to hand at the time worked so was assumed to be ok.
> However, the opposite is now happening, i.e PulseAudio is crashing
> with a subset of Bluetooth hardware.
>
> Regression potential:
>
> Very low to none. As can be read in this report, much debugging and
> testing has been done to find the problem, and the eventual fix.
> Moreover the change is the removal of a patch hunk that removed a line
> of code originally present in PulseAudio.
>
> Test case:
>
> NOTE that this test case applies to bluetooth hardware that is
> identified as not working in this bug report.
>
> 1. Install, or upgrade to Xenial or yakkety.
> 2. Pair your bluetooth device in the bluetooth settings in the relevant
> settings application for your desktop environment.
> 3. Once paired, you will notice that sound stops working, as pulseaudio
> has thrown an assertion error.
> 4. You do not have to remove your audio device from the paired device
> list, but it may be easier to do so for the next part of the testing.
> 5. Update to the version of PulseAudio in xenial-proposed which is
> 1:8.0-0ubuntu3.1, or in yakkety-proposed, which is 1:9.0-2ubuntu2.1.
> 6. Re-pair your device. Audio should continue to work, and you should be
> able to switch to your bluetooth device and use it.
>
>
> Original bu...

Read more...

Luke Yelavich (themuso) wrote :

There is a version of PulseAudio in yakkety-proposed as well, please follow the above instructions, but for yakkety instead.

tags: added: verification-done-xenial verification-needed
removed: verification-done
Erik Brinkman (erik-brinkman) wrote :

The proposed packages worked for me on yakkety.

Felipe Lemos (felipelemos) wrote :

The proposed package did not worked for me on yakkety.
I've got the same problem: To switching profiles I still need to:

1. Change to HSP/HFP
2. Disconnect
3. Reconnect
4. Change it back to A2DP

Version:
ii pulseaudio 1:9.0-2ubuntu2.1 amd64 PulseAudio sound server

The proposed package does *NOT* fix any bugs relating to profile switching.

Felipe Lemos (felipelemos) wrote :
Download full text (4.0 KiB)

OK, so maybe I'm experiencing another bug.
The PPA did in fact fixed my problem (profile switching) when I was using
16.04, and I was hoping your proposed package could fixed it for me in
16.10.
I was having a impression that was the same problem, but apparently it is
not.

On Wed, 9 Nov 2016, 20:54 Luke Yelavich, <email address hidden>
wrote:

> The proposed package does *NOT* fix any bugs relating to profile
> switching.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1574324
>
> Title:
> pulseaudio crashes when connecting to bluetooth headphones (due to
> ubuntu changes?)
>
> Status in pulseaudio package in Ubuntu:
> In Progress
> Status in pulseaudio source package in Xenial:
> Fix Committed
> Status in pulseaudio source package in Yakkety:
> Fix Committed
>
> Bug description:
> Impact:
>
> A patch we carry for Ubuntu touch introduced a change that originally
> was required to make sure PulseAudio did not crash. This patch was
> ported to PulseAudio 8 in Xenial, but the patch author's bluetooth
> hardware that was to hand at the time worked so was assumed to be ok.
> However, the opposite is now happening, i.e PulseAudio is crashing
> with a subset of Bluetooth hardware.
>
> Regression potential:
>
> Very low to none. As can be read in this report, much debugging and
> testing has been done to find the problem, and the eventual fix.
> Moreover the change is the removal of a patch hunk that removed a line
> of code originally present in PulseAudio.
>
> Test case:
>
> NOTE that this test case applies to bluetooth hardware that is
> identified as not working in this bug report.
>
> 1. Install, or upgrade to Xenial or yakkety.
> 2. Pair your bluetooth device in the bluetooth settings in the relevant
> settings application for your desktop environment.
> 3. Once paired, you will notice that sound stops working, as pulseaudio
> has thrown an assertion error.
> 4. You do not have to remove your audio device from the paired device
> list, but it may be easier to do so for the next part of the testing.
> 5. Update to the version of PulseAudio in xenial-proposed which is
> 1:8.0-0ubuntu3.1, or in yakkety-proposed, which is 1:9.0-2ubuntu2.1.
> 6. Re-pair your device. Audio should continue to work, and you should be
> able to switch to your bluetooth device and use it.
>
>
> Original bug report:
>
> When I attempt to connect my Jaybird Bluebuds X to Ubuntu 16.04
> pulseaudio crashes, this does *NOT* happen with a Jambox which leads
> me to believe it's an intermittent problem with some hardware. This
> did not happen on Ubuntu 15.10 (which was an upgrade of 15.04).
>
> Ubuntu Release:
>
> Description: Ubuntu 16.04 LTS
> Release: 16.04
>
> Pulseaudio Version:
>
> pulseaudio:
> Installed: 1:8.0-0ubuntu3
> Candidate: 1:8.0-0ubuntu3
> Version table:
> *** 1:8.0-0ubuntu3 500
> 500 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64
> Packages
> 100 /var/lib/dpkg/status
>
> Device info:
>
> [bluetooth]# info 44:5E:F3:B4:07:29
> Device 44:5E:F3:B4:07:29
>...

Read more...

draco (draco31-fr) wrote :

Hi Felipe
Have a look to Bug #1577197, I have this problem on switching profile, may
it be the same case.

Felipe Lemos (felipelemos) wrote :
Download full text (3.8 KiB)

I think you are right, thank you.

On Thu, 10 Nov 2016, 05:54 draco, <email address hidden> wrote:

> Hi Felipe
> Have a look to Bug #1577197, I have this problem on switching profile, may
> it be the same case.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1574324
>
> Title:
> pulseaudio crashes when connecting to bluetooth headphones (due to
> ubuntu changes?)
>
> Status in pulseaudio package in Ubuntu:
> In Progress
> Status in pulseaudio source package in Xenial:
> Fix Committed
> Status in pulseaudio source package in Yakkety:
> Fix Committed
>
> Bug description:
> Impact:
>
> A patch we carry for Ubuntu touch introduced a change that originally
> was required to make sure PulseAudio did not crash. This patch was
> ported to PulseAudio 8 in Xenial, but the patch author's bluetooth
> hardware that was to hand at the time worked so was assumed to be ok.
> However, the opposite is now happening, i.e PulseAudio is crashing
> with a subset of Bluetooth hardware.
>
> Regression potential:
>
> Very low to none. As can be read in this report, much debugging and
> testing has been done to find the problem, and the eventual fix.
> Moreover the change is the removal of a patch hunk that removed a line
> of code originally present in PulseAudio.
>
> Test case:
>
> NOTE that this test case applies to bluetooth hardware that is
> identified as not working in this bug report.
>
> 1. Install, or upgrade to Xenial or yakkety.
> 2. Pair your bluetooth device in the bluetooth settings in the relevant
> settings application for your desktop environment.
> 3. Once paired, you will notice that sound stops working, as pulseaudio
> has thrown an assertion error.
> 4. You do not have to remove your audio device from the paired device
> list, but it may be easier to do so for the next part of the testing.
> 5. Update to the version of PulseAudio in xenial-proposed which is
> 1:8.0-0ubuntu3.1, or in yakkety-proposed, which is 1:9.0-2ubuntu2.1.
> 6. Re-pair your device. Audio should continue to work, and you should be
> able to switch to your bluetooth device and use it.
>
>
> Original bug report:
>
> When I attempt to connect my Jaybird Bluebuds X to Ubuntu 16.04
> pulseaudio crashes, this does *NOT* happen with a Jambox which leads
> me to believe it's an intermittent problem with some hardware. This
> did not happen on Ubuntu 15.10 (which was an upgrade of 15.04).
>
> Ubuntu Release:
>
> Description: Ubuntu 16.04 LTS
> Release: 16.04
>
> Pulseaudio Version:
>
> pulseaudio:
> Installed: 1:8.0-0ubuntu3
> Candidate: 1:8.0-0ubuntu3
> Version table:
> *** 1:8.0-0ubuntu3 500
> 500 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64
> Packages
> 100 /var/lib/dpkg/status
>
> Device info:
>
> [bluetooth]# info 44:5E:F3:B4:07:29
> Device 44:5E:F3:B4:07:29
> Name: BlueBuds X
> Alias: BlueBuds X
> Class: 0x240404
> Icon: audio-card
> Paired: yes
> Trusted: yes
> Blocked: no
> Connected: no
> LegacyPairing: no
> UUID: Headset ...

Read more...

Martin Pitt (pitti) wrote :

Comment #123 provided verification in yakkety.

tags: added: verification-done
removed: verification-done-xenial verification-needed

The verification of the Stable Release Update for pulseaudio has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:9.0-2ubuntu2.1

---------------
pulseaudio (1:9.0-2ubuntu2.1) yakkety; urgency=medium

  * 0502-bluetooth-bluez5-bring-back-SCO-over-PCM-support.patch:
    - Remove patch hunk that set u->transport to NULL. At the time this
      code was written for 15.10, it was to prevent an assertion. Now with
      newer versions of pulse, the opposite is happening in some circumstances
      (LP: #1574324)

 -- Luke Yelavich <email address hidden> Thu, 03 Nov 2016 16:57:47 +1100

Changed in pulseaudio (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:8.0-0ubuntu3.1

---------------
pulseaudio (1:8.0-0ubuntu3.1) xenial; urgency=medium

  * debian/pulseaudio.maintscript: Bump versions for files that need to be
    removed as they are obsolete (LP: #1573296)
  * 0502-bluetooth-bluez5-bring-back-SCO-over-PCM-support.patch:
    - Remove patch hunk that set u->transport to NULL. At the time this
      code was written for 15.10, it was to prevent an assertion. Now with
      newer versions of pulse, the opposite is happening in some circumstances
      (LP: #1574324)

 -- Luke Yelavich <email address hidden> Thu, 03 Nov 2016 16:58:35 +1100

Changed in pulseaudio (Ubuntu Xenial):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2016-11-21
Changed in pulseaudio (Ubuntu):
status: In Progress → Fix Released
Florian Stalzer (gofurygo) wrote :

Unfortunately, the update released recently is exactly what broke it for me :-(

Before that, all was okay and my Philips headset connected fine, also A2DP was ok. But for about 1 week, it is completely broken.

Now after the update, I can't even pair it anymore. When I start from scratch to pair, it pairs for 1 or 2 seconds, then disconnects immediately. When trying to "turn on" the pairing again via the settings/bluetooth gui, it won't even let me move from off to on.

I am running Ubuntu Gnome 16.04 LTS.

Anybody got an idea how to fix it...? It really is annoying to use earphones with cable :-)

Martynas Venckus (martynas-1) wrote :

The update did fix Bluebuds X for me on 16.04. Before pulseaudio was crashing and now it's been working for a week.

@gofurygo perhaps start with "grep pulse /var/log/syslog*"

Jeff (jdferron) wrote :

Luke,

Just an FYI: Your fix resolved an issue with using bluetooth speakers to connect via A2DP. I was finally able to validate the fix once it was pushed to stable. So, thank you and I apologize for not testing this during the "proposed" testing!

It appears there may be multiple issues given what others are reporting.

Florian Stalzer (gofurygo) wrote :

Martynas, Luke

Here it goes, without headphones paired it gives me this:
/var/log/syslog:Nov 30 18:53:11 fury-M90z pulseaudio[1082]: [pulseaudio] source.c: Default and alternate sample rates are the same.
/var/log/syslog:Nov 30 18:53:37 fury-M90z pulseaudio[1403]: [pulseaudio] source.c: Default and alternate sample rates are the same.
/var/log/syslog:Nov 30 18:53:37 fury-M90z pulseaudio[1419]: [pulseaudio] pid.c: Daemon already running.
/var/log/syslog.1:Nov 29 19:52:54 fury-M90z pulseaudio[1404]: [pulseaudio] source.c: Default and alternate sample rates are the same.
/var/log/syslog.1:Nov 29 19:54:26 fury-M90z pulseaudio[2328]: [pulseaudio] source.c: Default and alternate sample rates are the same.
/var/log/syslog.1:Nov 29 19:54:26 fury-M90z pulseaudio[2346]: [pulseaudio] pid.c: Daemon already running.

After I paired for a 1 second (and it crashes), it gives me this:

/var/log/syslog:Nov 30 18:53:11 fury-M90z pulseaudio[1082]: [pulseaudio] source.c: Default and alternate sample rates are the same.
/var/log/syslog:Nov 30 18:53:37 fury-M90z pulseaudio[1403]: [pulseaudio] source.c: Default and alternate sample rates are the same.
/var/log/syslog:Nov 30 18:53:37 fury-M90z pulseaudio[1419]: [pulseaudio] pid.c: Daemon already running.
/var/log/syslog.1:Nov 29 19:52:54 fury-M90z pulseaudio[1404]: [pulseaudio] source.c: Default and alternate sample rates are the same.
/var/log/syslog.1:Nov 29 19:54:26 fury-M90z pulseaudio[2328]: [pulseaudio] source.c: Default and alternate sample rates are the same.
/var/log/syslog.1:Nov 29 19:54:26 fury-M90z pulseaudio[2346]: [pulseaudio] pid.c: Daemon already running.

Luke Yelavich (themuso) wrote :

Florian, please get a log from PulseAudio as I described earlier in this bug report.

Florian Stalzer (gofurygo) wrote :

Sorry Luke, here it is... reproduced the problem as described earlier

Luke Yelavich (themuso) wrote :

Ok, I do not see anything obvious from the log. Did you attempt to pair your headphones whilst pulseaudio was running? TO be sure, delete the pairing from bluetooth preferences if it exists, and start fresh. Load pulse as per instructions to get the log, attempt to pair the bluetooth headphones, wait till the pair fails/pulse seems to crash. If pulse is still running, terminate it and then submit the log to the bug.

Thanks.

scarline (scarline) wrote :
Download full text (8.7 KiB)

On Xubuntu 16.04, 4.4.0-57-generic jaybird x2 does not work via bluetooh.

user@user-pc:~$ grep pulse /var/log/syslog*
/var/log/syslog:Dec 24 00:08:38 user-pc pulseaudio[1938]: [pulseaudio] module-bluez5-device.c: Default profile not connected, selecting off profile
/var/log/syslog:Dec 24 00:08:38 user-pc pulseaudio[1938]: [pulseaudio] bluez5-util.c: Transport TryAcquire() failed for transport /org/bluez/hci0/dev_44_5E_F3_C0_BD_E6/fd3 (Operation Not Authorized)
/var/log/syslog:Dec 24 00:19:09 user-pc pulseaudio[1938]: [pulseaudio] module.c: Module "module-bluetooth-discover" should be loaded once at most. Refusing to load.
/var/log/syslog:Dec 24 00:22:19 user-pc pulseaudio[1938]: [pulseaudio] bluez5-util.c: Transport Acquire() failed for transport /org/bluez/hci0/dev_44_5E_F3_C0_BD_E6/fd3 (Operation Not Authorized)
/var/log/syslog:Dec 24 03:19:57 user-pc pulseaudio[8105]: [pulseaudio] backend-ofono.c: Failed to register as a handsfree audio agent with ofono: org.freedesktop.DBus.Error.ServiceUnknown: The name org.ofono was not provided by any .service files
/var/log/syslog:Dec 24 13:39:00 user-pc pulseaudio[8820]: [pulseaudio] backend-ofono.c: Failed to register as a handsfree audio agent with ofono: org.freedesktop.DBus.Error.ServiceUnknown: The name org.ofono was not provided by any .service files
/var/log/syslog:Dec 24 14:13:17 user-pc pulseaudio[9286]: [pulseaudio] backend-ofono.c: Failed to register as a handsfree audio agent with ofono: org.freedesktop.DBus.Error.ServiceUnknown: The name org.ofono was not provided by any .service files
/var/log/syslog:Dec 24 15:06:48 user-pc pulseaudio[10012]: [pulseaudio] backend-ofono.c: Failed to register as a handsfree audio agent with ofono: org.freedesktop.DBus.Error.ServiceUnknown: The name org.ofono was not provided by any .service files
/var/log/syslog:Dec 24 16:18:08 user-pc pulseaudio[1938]: [alsa-sink-ALC668 Analog] alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write.
/var/log/syslog:Dec 24 16:18:08 user-pc pulseaudio[1938]: [alsa-sink-ALC668 Analog] alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
/var/log/syslog:Dec 24 16:18:08 user-pc pulseaudio[1938]: [alsa-sink-ALC668 Analog] alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.
/var/log/syslog:Dec 24 17:01:41 user-pc pulseaudio[10995]: [pulseaudio] backend-ofono.c: Failed to register as a handsfree audio agent with ofono: org.freedesktop.DBus.Error.ServiceUnknown: The name org.ofono was not provided by any .service files
/var/log/syslog:Dec 24 18:55:36 user-pc pulseaudio[12243]: [pulseaudio] backend-ofono.c: Failed to register as a handsfree audio agent with ofono: org.freedesktop.DBus.Error.ServiceUnknown: The name org.ofono was not provided by any .service files
/var/log/syslog.1:Dec 23 18:00:30 user-pc pulseaudio[1960]: [alsa-sink-ALC668 Analog] alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write.
/var/log/syslog.1:Dec 23 18:00:30 user-pc pulseaudio[1960]: [alsa-sink-ALC668 Analog] alsa-s...

Read more...

scarline (scarline) wrote :

*but I can't get any output from them with headphone or HIFI-profile*

Luke Boga Mitchell (lukebm) wrote :

This bug seems to be affecting me, specifically a UE Megaboom (device info below). Pairs fine, but doesn't show up in output devices, therefore audio continues to play via internal speakers.

I'm using Ubuntu 16.10 with Gnome 3.20.4 on a Dell XPS 13 (9350). Attached are some log files using 'grep pulse /var/log/syslog*', as mentioned above.

This is somewhat outside of my comfort zone, so if you need more details, you may have to bear with me - many thanks...

(Please ignore the device name - someone next door kept trying to connect...)
Device 88:C6:26:89:0F:A2
 Name: sysERR
 Alias: sysERR
 Class: 0x240418
 Icon: audio-card
 Paired: yes
 Trusted: yes
 Blocked: no
 Connected: yes
 LegacyPairing: no
 UUID: Serial Port (00001101-0000-1000-8000-00805f9b34fb)
 UUID: Headset (00001108-0000-1000-8000-00805f9b34fb)
 UUID: Audio Sink (0000110b-0000-1000-8000-00805f9b34fb)
 UUID: A/V Remote Control Target (0000110c-0000-1000-8000-00805f9b34fb)
 UUID: A/V Remote Control (0000110e-0000-1000-8000-00805f9b34fb)
 UUID: Handsfree (0000111e-0000-1000-8000-00805f9b34fb)
 UUID: PnP Information (00001200-0000-1000-8000-00805f9b34fb)
 UUID: Unknown (000061fe-0000-1000-8000-00805f9b34fb)
 Modalias: bluetooth:v000ApFFFFdFFFF

Displaying first 40 and last 40 comments. View all 148 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers